Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgIntrospection::ValueReflector< T > Struct Template Reference

This reflector ought to be used to describe types that can be created on the stack. More...

Inheritance diagram for osgIntrospection::ValueReflector< T >:

[legend]
List of all members.

## Public Types
typedef ValueReflector< T > | inherited
typedef ValueInstanceCreator< typename Reflector< T >::reflected_type > | instance_creator_type
## Public Member Functions
| ValueReflector (const std::string &name, const std::string &ns)
| ValueReflector (const std::string &qname)

## Detailed Description

### template<typename T>
struct osgIntrospection::ValueReflector< T >

This reflector ought to be used to describe types that can be created on the stack.

Such types are for example int, double, std::string, or other (possibly small) user-defined structs or classes. The instance creator associated to types created through this reflector will create Value objects whose internal type is T.

## Member Typedef Documentation

template<typename T>
typedef ValueReflector<T> osgIntrospection::ValueReflector< T >::inherited

| Reimplemented from osgIntrospection::Reflector< T >. Reimplemented in osgIntrospection::EnumReflector< T >.

template<typename T>
typedef ValueInstanceCreator<typename Reflector<T>::reflected_type> osgIntrospection::ValueReflector< T >::instance_creator_type

| Reimplemented in osgIntrospection::AtomicValueReflector< T >, osgIntrospection::EnumReflector< T >, osgIntrospection::StdVectorReflector< T, VT >, osgIntrospection::StdSetReflector< T, VT >, osgIntrospection::StdListReflector< T, VT >, osgIntrospection::StdMapReflector< T, IT, VT >, and osgIntrospection::StdPairReflector< T, PT1, PT2 >.

## Constructor & Destructor Documentation

template<typename T>
osgIntrospection::ValueReflector< T >::ValueReflector | ( | const std::string & | name,
|  | const std::string & | ns
| ) | `[inline]`

template<typename T>
osgIntrospection::ValueReflector< T >::ValueReflector | ( | const std::string & | qname | ) | `[inline]`

The documentation for this struct was generated from the following file:

- Reflector